<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('agent_project_config', function (Blueprint $table) {
            $table->comment('代理商项目设置');
            $table->increments('id');
            $table->unsignedBigInteger('agent_id')->nullable()->comment('代理商编号');
            $table->decimal('base_price')->comment('服务的起步价');
            $table->decimal('per_kilometer_fee')->comment('每公里的费用');
            $table->string('state')->default('')->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('agent_project_config');
    }
};
